Bug 296205 - Find/replace in files never stops if an opening brace is specified
Summary: Find/replace in files never stops if an opening brace is specified
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Unclassified
Component: grepview (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 1.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-17 13:28 UTC by Alexander Shaduri
Modified: 2013-03-31 01:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Shaduri 2012-03-17 13:28:14 UTC
I'm using KDevelop git master (2012-03-16) and I see the following problem:

If you open the "Find/replace in files" dialog, check the "Regular Expression" checkbox and type in "abcd(" pattern (without quotes), the find operation never finishes - the progress bar becomes stuck at "Collecting files..." phase. "Captures are not allowed in pattern string" text is shown in the tool view header.

Thanks
Comment 1 Shlomi Fish 2012-03-19 12:58:37 UTC
(In reply to comment #0)
> I'm using KDevelop git master (2012-03-16) and I see the following problem:
> 
> If you open the "Find/replace in files" dialog, check the "Regular
> Expression" checkbox and type in "abcd(" pattern (without quotes), the find
> operation never finishes - the progress bar becomes stuck at "Collecting
> files..." phase. "Captures are not allowed in pattern string" text is shown
> in the tool view header.
> 
> Thanks

I can reproduce this bug with KDevelop 4.2.90.

Regards,

-- Shlomi Fish
Comment 2 Kevin Funk 2012-12-02 10:59:22 UTC
Git commit 0fe327989bbcd78a19097f34c302e87dc04ca49f by Kevin Funk.
Committed on 02/12/2012 at 11:58.
Pushed by kfunk into branch 'master'.

Fix find/replace never stopping in some cases

In case capture lists in the pattern regexp are specfied, the
progressbar will never vanish again.
REVIEW: 107552

M  +15   -6    plugins/grepview/grepjob.cpp
M  +1    -0    plugins/grepview/grepjob.h

http://commits.kde.org/kdevplatform/0fe327989bbcd78a19097f34c302e87dc04ca49f